> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List geofences

> Lists all geofences.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json get /v1/accounts/{accountId}/geofences
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}/geofences:
    get:
      tags:
        - geofences
      summary: List geofences
      description: Lists all geofences.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Geofence'
components:
  schemas:
    Geofence:
      required:
        - id
        - accountId
        - externalId
        - name
        - polygon
      type: object
      properties:
        id:
          type: string
          format: uuid
        accountId:
          type: string
          format: uuid
        externalId:
          type: string
        name:
          type: string
        polygon:
          $ref: '#/components/schemas/Polygon'
    Polygon: {}
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````